## netcdf 3.6.1

=== src/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Id: Makefile,v 1.70 2005/02/17 16:15:11 ed Exp $
+# $Id: Makefile,v 1.76 2006/02/26 16:43:59 ed Exp $
 
 
 include macros.make
 
 
 PACKAGE		= netcdf
-SUBDIRS		= libsrc nctest nc_test fortran f90 nf_test ncdump ncgen man cxx win32
+SUBDIRS		= libsrc nctest nc_test fortran f90 nf_test ncgen ncdump man cxx win32
 DIST_GARBAGE	= \
 		config.cache	\
 		config.status	\
@@ -31,8 +31,8 @@
 # I moved fortran to the bottom of the list, sometimes AIX make get's confused 
 # if the C library and the fortran library are built in the same second. - Ed
 all:		libsrc/all	\
+		ncgen/all	\
 		ncdump/all	\
-		ncgen/all	\
 		cxx/all \
 		fortran/all	\
 		f90/all	
@@ -42,32 +42,35 @@
 		nc_test/test nctest/test \
 		nf_test/test fortran/test \
 		ncdump/all ncgen/all f90/test \
-		ncdump/test ncgen/test cxx/test 
+		ncgen/test ncdump/test cxx/test 
 
 # This runs the quick large file tests.
 extra_test:	all
 		cd ncgen; $(MAKE) extra_test; cd ../..
 		cd nc_test; $(MAKE) extra_test; cd ../..
 
-# Doesn't just run test, also runs large file tests in nc_test
-# directory. Make sure you have plenty of time and disk space before
-# running this!
+# This runs the slow large file tests.
+slow_test:      all
+		cd nc_test; $(MAKE) lfs_test; cd ../..
+
+# Check is the same as test.
 check:		test
-		cd nc_test; $(MAKE) all_large_tests; cd ../..
+extra_check:    extra_test
+slow_check:     slow_test
 
 install:	all \
 		libsrc/install \
 		fortran/install \
 		f90/install \
+		ncgen/install \
 		ncdump/install \
-		ncgen/install \
 		cxx/install
 
 uninstall:	libsrc/uninstall \
 		fortran/uninstall \
 		f90/uninstall \
+		ncgen/uninstall \
 		ncdump/uninstall \
-		ncgen/uninstall \
 		cxx/uninstall
 
 clean:		libsrc/clean \
@@ -184,27 +187,11 @@
 ################################################################################
 # Distribution:
 
-# The following rule checks to see that we're on the right system.  If we're
-# not, then the distribution mightn't contain the intended ncgen(1) (not
-# to mention that dvips(1) is necessary for building the C++ User's Guide).
-#
-check_system:	FORCE
-	@case "$(OVERRIDE)" in \
-	'') case `uname -sr` in \
-	    'SunOS 5'*) \
-		exit 0;; \
-	    *)  echo 1>&2 "Error: Not on a SunOS 5 system."; \
-		echo 1>&2 "Set macro OVERRIDE to override."; \
-		exit 1;; \
-	    esac;; \
-	*) exit 0;; \
-	esac
-
 # Make a compressed, tar(1) file of the source distribution in the current 
 # directory.
 #
 
-tar.Z:		check_system FORCE
+tar.Z:		FORCE
 	@version=`cat VERSION`; \
 	    $(MAKE) $(MFLAGS) $(PACKAGE)-$$version.tar.Z VERSION=$$version
 
@@ -216,7 +203,7 @@
 	&& tar $(TARFLAGS) - `sed "s|^|$$id/src/|" MANIFEST` | $(COMPRESS) > $@ \
 	&& rm -r $$id
 
-tar.gz:		check_system FORCE
+tar.gz:		FORCE
 	@version=`cat VERSION`; \
 	    $(MAKE) $(MFLAGS) $(PACKAGE)-$$version.tar.gz VERSION=$$version
 
@@ -244,7 +231,7 @@
 # however, if the "tar.gz" target is made in private directories and the
 # "ftp" target is made in the "/upc/$(PACKAGE)/build/" directory.
 #
-ftp:		check_system FORCE
+ftp:		FORCE
 	version=`cat VERSION`; \
 	$(MAKE) $(MFLAGS) $(FTPDIR)/$(PACKAGE)-$$version.tar.gz \
 	    VERSION=$$version; \
@@ -260,6 +247,7 @@
 # appropriate FTP directory.
 #
 binftp:		FORCE
+	-mkdir $(FTPBINDIR)
 	version=`cat VERSION`; \
 	$(MAKE) $(MFLAGS) $(FTPBINDIR)/$(PACKAGE)-$$version.tar.Z \
 	    VERSION=$$version; \
