## netcdf 4.1.3

=== debian/changelog ===
netcdf (1:4.1.3-7ubuntu2) trusty; urgency=medium

  * Build-depend on automake-1.11.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 22:01:30 +0100

netcdf (1:4.1.3-7ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 21:43:14 +0100

netcdf (1:4.1.3-7) unstable; urgency=low

  * Team upload
  * Standards-Version updated to 3.9.4
  * Rebuild for the new upstream release of gfortran (that it just a pain)...
    (Closes: #724660)
  * Fix warning description-synopsis-starts-with-article

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 09 Oct 2013 14:36:16 +0200

netcdf (1:4.1.3-6) unstable; urgency=low

  * Fixed version for conflicting/breaking against libnetcdfc++5.
    (closes: #662749)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 06 Mar 2012 15:46:18 +0100

netcdf (1:4.1.3-5) unstable; urgency=low

  * Added a Replaces against past libnetcdf6/4 all-in-one package.
  * The C++ binding is versioned as 4, not 5.
  * Added a temporary breaks/replaces against libnetcdfc++5 to allow
    a smooth upgrade in unstable.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 05 Mar 2012 11:18:37 +0100

netcdf (1:4.1.3-4) unstable; urgency=low

  * Re-disabling DAP remote tests to avoid failures on some build boxes.
  * Added a specific homepage for libcf.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 04 Mar 2012 11:32:19 +0100

netcdf (1:4.1.3-3) unstable; urgency=low

  * Drop the non-sense package libnetcdf6. Repeat after me: always think twice
    before releasing two versions in a row.
    (closes: #661717)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 29 Feb 2012 21:26:38 +0100

netcdf (1:4.1.3-2) unstable; urgency=low

  * Always copy symlinks instead of dereferencing, in debian/rules.
  * This version also breaks oldstable libnetcdf4, if still around.
    (closes: #661553)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 27 Feb 2012 23:39:59 +0100

netcdf (1:4.1.3-1) unstable; urgency=low

  * Promoted to unstable.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 26 Feb 2012 23:08:01 +0100

netcdf (1:4.1.3-1~exp3) experimental; urgency=low

  * Removed duplicaed libraries in linetcdfc7.
    (closes: #660318)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 19 Feb 2012 12:58:43 +0100

netcdf (1:4.1.3-1~exp2) experimental; urgency=low

  * Merged changes from sid 4.1.1 branch to allow a smooth upgrade from
    previous version (closes: #656103):

      o Splitted C/C++/Fortran bindings for a better and sane migration path
        towards 4.1.3 and beyond. Also the CF library now lives in its own
        binary package. Note that all libraries now provide their own 
        SONAMEs and API versionings. 
      o The libnetcdf6 package is now a dummy removable onei used only
        for migration.
      o Removed duplicated pkgconfig file under /usr/lib.
      o Added missing libcf0 to netcdf-dbg package in debian/control.


 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 17 Feb 2012 13:25:36 +0100

netcdf (1:4.1.3-1~exp1) experimental; urgency=low

  * New upstream release.
  * Moved to source format 3.0 with direct quilt support.
  * Dropped all current patches (obsolete or applied upstream).
  * Added build-dep on CUnit for unit tests.
  * Moved to new SONAMEs and added new libcf and libcf-dev packages
    to split up the libCF embedded library. It necessarily introduces
    a break at this stage against 4.1.1 version. It is unfortunate but
    necessary, because API/ABI does not necessarily change in sync at 
    every release of NetCDF, as in this case.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 30 Nov 2011 12:42:22 +0100

netcdf (1:4.1.1-6) unstable; urgency=low

  * Moved repository to git.
  * Changed debian/control RCS urls.
  * Bumped policy to 3.9.2, without changes.
  * Now set minimal debhelper level to 8.
  * Source format maintained to 1.0 with source/format support. Quilt support 
    is still done at debian/rules level with tarball packaging style.
  * Added patch `noshutdown' to avoid closing HDF5 library. Thanks Enrico and
    others.
    (closes: #644134)
  * The rebuild causes regeneration of .mod files with current default Fortran
    compiler. This is only a side effect, but someone should allow managing that in
    a proper way instead :-/
    (closes: #618967, #643894, #642957, #630564)
  * Fixed build error with a simple new patch `dumplib'. Thanks Enrico.
    (closes: #643445)
  * Changed long description for netcdf documentation.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 25 Oct 2011 13:33:23 +0200

netcdf (1:4.1.1-5) unstable; urgency=low

  * Uploaded to unstable.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 19 Apr 2010 16:39:38 +0200

netcdf (1:4.1.1-4) experimental; urgency=low

  * Now it does not run check at building time: for unknown reasons it fails
    for some tests under buildd. 
    (closes: #577715)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 19 Apr 2010 15:08:52 +0200

netcdf (1:4.1.1-3) experimental; urgency=low

  * Added la_libadd_fix patch to re-add la_libadd entry for HDF5 libraries into
    libsrc4/Makefile.am. Patch is the results of autotools after that.
  * Removed previous trick.
  * Added texlive-base and texlive-latex-base as build-dep, which are required
    for a workig texi2dvi.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 14 Apr 2010 15:54:02 +0200

netcdf (1:4.1.1-2) experimental; urgency=low

  * Added an explicit linking to HDF5 and libz to avoid undefs at linking time. 
    This is a problem in final 4.1.1 that needs a better solution.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 12 Apr 2010 12:49:44 +0200

netcdf (1:4.1.1-1) experimental; urgency=low

  * New upstream release with various building fix merged. Thanks Ed
    and other UCAR folks.
  * Merged cfortran changes, so dropped cfortran patch.

