=== debian/control ===
Source: netcdf
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 8), cdbs, gfortran, texinfo, zlib1g-dev, libhdf5-dev (>= 1.8.6-1~), libdap-dev, libcurl4-gnutls-dev, dh-autoreconf, automake1.11,
 texlive-base, texlive-latex-base, libcunit1-dev
Standards-Version: 3.9.4
Homepage: http://www.unidata.ucar.edu/software/netcdf/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/netcdf.git
Vcs-Git: git://git.debian.org/git/pkg-grass/netcdf.git

Package: netcdf-doc
Section: doc
Architecture: all
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Description: Documentation for NetCDF and CF
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains documentation for the NetCDF library in a
 variety of formats.

Package: libnetcdfc7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4
Breaks: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4
Description: Interface for scientific data access to large binary data
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains the C run-time shared libraries required
 by programs.

Package: libnetcdff5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4
Breaks: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4
Description: Interface for scientific data access to large binary data
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains the Fortran77/90 run-time shared libraries
 required by programs.

Package: libnetcdfc++4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4, libnetcdfc++5 (<= 1:4.1.3-4)
Breaks: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4, libnetcdfc++5 (<= 1:4.1.3-4)
Description: Interface for scientific data access to large binary data
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains the C++ run-time shared libraries
 required by programs.

Package: libcf0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4
Breaks: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4
Homepage: http://www.unidata.ucar.edu/software/libcf/
Description: Interface for scientific data access to large binary data
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains the add-on CF run-time C shared library that uses
 the NetCDF API to manage Climate and Forecasts standards complaining
 data files.

Package: netcdf-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libnetcdfc7 (= ${binary:Version}), libnetcdff5 (= ${binary:Version}),
 libnetcdfc++4 (= ${binary:Version}), libcf0 (= ${binary:Version}), ${misc:Depends}
Suggests: gdb
Description: debugging symbols for NetCDF
 This package contains the files that make it possible to debug the
 NetCDF binaries and programs that use the NetCDF libraries with a
 source-level debugger like gdb.

Package: libnetcdf-dev
Section: libdevel
Architecture: any
Depends: libnetcdfc7 (= ${binary:Version}), libnetcdff5 (= ${binary:Version}), 
 libnetcdfc++4 (= ${binary:Version}), libcf0 (= ${binary:Version}), ${misc:Depends}
Suggests: netcdf-bin, netcdf-doc
Recommends: pkg-config
Description: Development kit for NetCDF
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package includes everything needed for developing in C, C++,
 Fortran 77, and Fortran 90.

Package: netcdf-bin
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Programs for reading and writing NetCDF files
 Contains the programs ncdump and ncgen which convert NetCDF
 files to ASCII and back, respectively. NetCDF (network Common Data
 Form) is an interface for scientific data access and a
 freely-distributed software library that provides an implementation
 of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
