=== debian/watch ===
version=3
#opts="uversionmangle=s/^[[:digit:]]*\.[[:digit:]]*-beta[[:digit:]]*/0.0.1/" \
ftp://ftp.unidata.ucar.edu/pub/netcdf/netcdf-([[:digit:]\.]*)\.tar\.gz debian uupdate
